Shoeisha Technology Media

CodeZine(コードジン)

特集ページ一覧

[PHPプロ!] 古いPHPでも最新の関数が扱えるようになるライブラリ PEAR::PHP_Compat 1.6.0a1リリース

  • ブックマーク
  • LINEで送る
  • このエントリーをはてなブックマークに追加
2007/05/10 10:57

古いバージョンのPHPには存在しない関数や定数を扱うことが可能になるライブラリ、PEAR::PHP_Compat 1.6.0a1がリリースされました。約1年半ぶりとなる今回のリリースでは、新たな関数・モジュールの追加とバグの修正が行われています。

 古いバージョンのPHPには存在しない関数や定数を扱うことが可能になるライブラリ、PEAR::PHP_Compat 1.6.0a1がリリースされました。

 約1年半ぶりとなる今回のリリースでは、新たな関数・モジュールの追加とバグの修正が行われています。

 今回のリリースで追加・更新された関数は以下の通りです。

  • array_fill
  • glob
  • is_callable
  • array_splice
  • microtime
  • mkdir
  • range
  • setcookie
  • setrawcookie

 新たに追加されたモジュールは以下の通りです。

  • register_globals
  • magic_quotes_gpc
  • magic_quotes_sybase
  • register_argc_argv
  • register_long_arrays

 詳しくはPackage Information: PHP_Compat 1.6.0a1をご覧ください。

 (PHPプロ!

関連リンク

転載元

 PHPプロ!:最新のPHPニュース

  • ブックマーク
  • LINEで送る
  • このエントリーをはてなブックマークに追加
All contents copyright © 2005-2020 Shoeisha Co., Ltd. All rights reserved. ver.1.5